Re: fldigi 4.0.18 build failure #fldigi


Roderick Wayne Hart Sr.
 

You are probably missing a library. Make sure all of the prerequisite lib files are loaded and recompile after doing a 'make clean'.



On December 8, 2018, at 2:45 PM, Art - KC7SDA <nouse4anick@...> wrote:


currently working with the latest compass distro and trying to build fldigi from the source. its not working and erroring out on me towards the end.

here are the commands I'm running, note i have the source line uncommented so apt will get sources, also $FLDIGICUR is defined in my script file:
sudo apt-get update
sudo apt-get build-dep fldigi -y
wget -N https://sourceforge.net/projects/fldigi/files/fldigi/fldigi-$FLDIGICUR.tar.gz
tar -zxvsf fldigi-$FLDIGICUR.tar.gz
cd fldigi-$FLDIGICUR
./configure
make
it compiles the main part of the program (modems, waterfall, widgets, etc), then it errors out on 'fldigi-confdialog.o' module.

anyone else have this problem? any suggestions as to how to fix it?  I'm trying a few other things while I wait for answers, next up will be grabbing .17 and trying that.

73
Art

Join udrc@nw-digital-radio.groups.io to automatically receive all group messages.